AvailabilityColorServlet (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.servlet.AvailabilityColorServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.servlet
Class AvailabilityColorServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.hyperic.hq.ui.servlet.AvailabilityBaseServlet
                  org.hyperic.hq.ui.servlet.AvailabilityColorServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class AvailabilityColorServlet

extends AvailabilityBaseServlet

An `HttpServlet` that performs an availability lookup and returns the image data for the icon that represents the lookup result.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hyperic.hq.ui.servlet.AvailabilityBaseServlet
`AvailabilityBaseServlet.IconBytes`

Constructor Summary
`AvailabilityColorServlet()`

Method Summary
`protected java.lang.String[]` | `getIconUrls()`
`protected void` | `sendAvailIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `sendErrorIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `sendPausedIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `sendPoweredOffIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `sendUnavailIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `sendWarningIcon(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.hyperic.hq.ui.servlet.AvailabilityBaseServlet
`doGet, init, sendIcon`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AvailabilityColorServlet

    public AvailabilityColorServlet()

Method Detail

### getIconUrls

    protected java.lang.String[] getIconUrls()

  Specified by:
    `getIconUrls` in class `AvailabilityBaseServlet`

### sendAvailIcon

    protected void sendAvailIcon(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)

  Specified by:
    `sendAvailIcon` in class `AvailabilityBaseServlet`

### sendUnavailIcon

    protected void sendUnavailIcon(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response)

  Specified by:
    `sendUnavailIcon` in class `AvailabilityBaseServlet`

### sendWarningIcon

    protected void sendWarningIcon(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response)

  Specified by:
    `sendWarningIcon` in class `AvailabilityBaseServlet`

### sendPausedIcon

    protected void sendPausedIcon(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)

  Specified by:
    `sendPausedIcon` in class `AvailabilityBaseServlet`

### sendPoweredOffIcon

    protected void sendPoweredOffIcon(javax.servlet.http.HttpServletRequest request,
                                      javax.servlet.http.HttpServletResponse response)

  Specified by:
    `sendPoweredOffIcon` in class `AvailabilityBaseServlet`

### sendErrorIcon

    protected void sendErrorIcon(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)

  Specified by:
    `sendErrorIcon` in class `AvailabilityBaseServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.